API y desarrolladores

List messages of a conversation

get/v1/conversations/{conversation_id}/messages

Retrieve the messages of a conversation, newest page first.

Reading messages through the public API never marks them as read.

Ejemplo

curl -X GET "https://api.ya.onl/v1/conversations/{conversation_id}/messages" \
  -H "X-API-Key: yv_live_v1_…"

Parámetros

conversation_idstringpathrequerido

Unique conversation identifier

pageintegerquerypor defecto: 1

Page number (1-indexed)

limitintegerquerypor defecto: 25

Number of items per page (max 100)

Respuestas

200
Successful Response
401
Invalid or missing API key
403
API key lacks the conversations:read scope
404
Conversation not found
422
Validation Error
429
Rate limit exceeded
¿Necesitas ayuda?